## IAnjutaEditorAssist IAnjutaEditorAssist — Text editor assist interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_assist_error_quark ()
void | ianjuta_editor_assist_add ()
void | ianjuta_editor_assist_invoke ()
void | ianjuta_editor_assist_proposals ()
void | ianjuta_editor_assist_remove ()

## Signals

void | cancelled | Run Last

## Types and Values

#define | IANJUTA_EDITOR_ASSIST_ERROR
struct | IAnjutaEditorAssistProposal

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorAssist

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-assist>

## Description

## Functions

### ianjuta_editor_assist_error_quark ()

    GQuark
    ianjuta_editor_assist_error_quark (void);

#### Returns

### ianjuta_editor_assist_add ()

    void
    ianjuta_editor_assist_add (IAnjutaEditorAssist *obj,
                               IAnjutaProvider *provider,
                               GError **err);

### ianjuta_editor_assist_invoke ()

    void
    ianjuta_editor_assist_invoke (IAnjutaEditorAssist *obj,
                                  IAnjutaProvider *provider,
                                  GError **err);

### ianjuta_editor_assist_proposals ()

    void
    ianjuta_editor_assist_proposals (IAnjutaEditorAssist *obj,
                                     IAnjutaProvider *provider,
                                     GList *proposals,
                                     const gchar *pre_word,
                                     gboolean finished,
                                     GError **err);

Add the list of proposals for the current population. You can add proposals async as long as the last call sets finished to TRUE. That is usually called by the IAnjutaProvider after it was triggered by `ianjuta_provider_populate()`

#### Parameters

obj | self |
provider | a IAnjutaProvider |
proposals | a list of IAnjutaProposals. | [element-type IAnjutaEditorAssistProposal]
pre_word | the word before the cursor |
finished | whether is was the last call in an async operation |
err | Error handling |

### ianjuta_editor_assist_remove ()

    void
    ianjuta_editor_assist_remove (IAnjutaEditorAssist *obj,
                                  IAnjutaProvider *provider,
                                  GError **err);

## Types and Values

### IANJUTA_EDITOR_ASSIST_ERROR

    #define IANJUTA_EDITOR_ASSIST_ERROR ianjuta_editor_assist_error_quark()

### struct IAnjutaEditorAssistProposal

    struct IAnjutaEditorAssistProposal {
    	gchar* label;
    	gchar* markup;
    	gchar* info;
    	gchar* text;
    	GdkPixbuf* icon;
    	gpointer data;
    };

## Signal Details

### The `“cancelled”` signal

    void
    user_function (IAnjutaEditorAssist *obj,
                   gpointer             user_data)

Flags: Run Last